This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 894020 - PRD32 - [RFE] spice seamless migration support in win client
PRD32 - [RFE] spice seamless migration support in win client
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: RFEs (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 3.2.0
Assigned To: Uri Lublin
Desktop QE
spice
: FutureFeature
Depends On: 836123 836133 836135 846910 846911 905898
Blocks: 894396
  Show dependency treegraph
 
Reported: 2013-01-10 09:34 EST by Yonit Halperin
Modified: 2016-02-10 15:21 EST (History)
10 users (show)

See Also:
Fixed In Version: mingw-virt-viewer-0.5.3-18 mingw-spice-gtk-0.14-1
Doc Type: Enhancement
Doc Text:
Seamless migration of SPICE sessions is now supported for virtual machines running on Red Hat Enterprise Linux 6.4 hosts. This feature allows ongoing USB, vdagent, and smartcard data transfers between the server and the client to be continued smoothly after migration, with no data loss.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-10 17:32:40 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Spice
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Yonit Halperin 2013-01-10 09:34:47 EST
Description of feature:

When a VM migrates from one host to another destination host, an essential spice session data should be migrated as well. Then, the server-client session can be restored on the destination side, without losing any mandatory information.

Benefits:
(a) Data that has been in-flight between the server and the client during migration is not lost. As a result, ongoing usb, vdagent, and smartcard transfers are not aborted, and can continue smoothly after migration.

(b) Without this feature, the primary display surface and other off-screen surfaces that were already sent to the client, have to be resent to the client after migration has completed. With Seamless migration, this data is not resent. Thus, the performance of the spice session is less affected by migration, and as a result the migration is less noticeable by the user.
Comment 1 Yonit Halperin 2013-01-11 09:44:41 EST
affected components: spice-server, spice-gtk, spice-protocol, qemu-kvm, libvirt

If one of the components does not support seamless migration, we fallback to the old migration.
Comment 4 David Blechter 2013-01-29 10:43:59 EST
back to RFEs for consistency with other spice rfe bugs
Comment 7 Cheryn Tan 2013-04-03 02:50:44 EDT
This bug is currently attached to errata RHEA-2013:14491. If this change is not to be documented in the text for this errata please either remove it from the errata, set the requires_doc_text flag to minus (-), or leave a "Doc Text" value of "--no tech note required" if you do not have permission to alter the flag.

Otherwise to aid in the development of relevant and accurate release documentation, please fill out the "Doc Text" field above with these four (4) pieces of information:

* Cause: What actions or circumstances cause this bug to present.

* Consequence: What happens when the bug presents.

* Fix: What was done to fix the bug.

* Result: What now happens when the actions or circumstances above occur. (NB: this is not the same as 'the bug doesn't present anymore')

Once filled out, please set the "Doc Type" field to the appropriate value for the type of change made and submit your edits to the bug.

For further details on the Cause, Consequence, Fix, Result format please refer to:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes

Thanks in advance.
Comment 10 errata-xmlrpc 2013-06-10 17:32:40 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html

Note You need to log in before you can comment on or make changes to this bug.